# Uses of Class
org.jboss.classfilewriter.code.CodeAttribute

Packages that use CodeAttribute
Package
Description
org.jboss.classfilewriter
org.jboss.classfilewriter.util

## Uses of CodeAttribute in org.jboss.classfilewriter

Methods in org.jboss.classfilewriter that return CodeAttribute
Modifier and Type
Method
Description
`CodeAttribute`
ClassMethod.`getCodeAttribute()`

## Uses of CodeAttribute in org.jboss.classfilewriter.util

Methods in org.jboss.classfilewriter.util that return CodeAttribute
Modifier and Type
Method
Description
`static CodeAttribute`
Boxing.`unbox(CodeAttribute ca, String desc)`
`static CodeAttribute`
Boxing.`unboxBoolean(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxByte(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxChar(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxDouble(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxFloat(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxInt(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxLong(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxShort(CodeAttribute bc)`
Methods in org.jboss.classfilewriter.util with parameters of type CodeAttribute
Modifier and Type
Method
Description
`static void`
Boxing.`boxBoolean(CodeAttribute bc)`
`static void`
Boxing.`boxByte(CodeAttribute bc)`
`static void`
Boxing.`boxChar(CodeAttribute bc)`
`static void`
Boxing.`boxDouble(CodeAttribute bc)`
`static void`
Boxing.`boxFloat(CodeAttribute bc)`
`static void`
Boxing.`boxIfNessesary(CodeAttribute ca, String desc)`
`static void`
Boxing.`boxInt(CodeAttribute bc)`
`static void`
Boxing.`boxLong(CodeAttribute bc)`
`static void`
Boxing.`boxShort(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unbox(CodeAttribute ca, String desc)`
`static CodeAttribute`
Boxing.`unboxBoolean(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxByte(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxChar(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxDouble(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxFloat(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxInt(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxLong(CodeAttribute bc)`
`static CodeAttribute`
Boxing.`unboxShort(CodeAttribute bc)`